<script>
  import Modal from "./modal.svelte";
  let mapOpen = false;
</script>

<style>
  footer {
    padding: 40px 40px 20px;
    background: #222a2f;
    color: #eee;
    box-shadow: inset 0 2px 10px -2px #0004;
    font-size: 14px;
  }

  .logo {
    display: block;
    margin-bottom: 2em;
    height: 86px;
    max-width: 100%;
    object-fit: contain;
  }

  .content {
    max-width: 1440px;
    margin: 0 auto;
  }

  .copyright {
    padding-top: 10px;
    border-top: 1px solid;
    margin-top: 40px;
    margin-bottom: 0;
    text-align: center;
  }

  a {
    color: inherit;
    text-decoration: none;
  }

  h4 {
    padding-bottom: 2px;
    font-size: 16px;
    font-weight: 400;
    margin-bottom: 10px;
    color: #fff;
  }

  .row {
    display: grid;
    grid-gap: 40px;
    grid-template-columns: 1fr 300px 1fr;
  }

  form {
    display: block;
  }

  textarea {
    width: 100%;
    max-width: 300px;
    display: block;
    background: transparent;
    color: #fff;
    font-size: 14px;
    border: 1px solid #909496;
    font-weight: 100;
  }

  input[type="submit"] {
    width: 100%;
    max-width: 300px;
    background: #5abb93;
    color: #fff;
    padding: 10px 15px;
  }

  .newsletter {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: flex-end;
  }

  .newsletter form {
    max-width: 300px;
  }

  .wrapper {
    width: 100vw;
    max-width: 300px;
  }

  input {
    width: 100%;
    max-width: 300px;
    background: transparent;
    color: #fff;
  }

  iframe {
    width: 100%;
    border: 1px solid #ccc;
    border-radius: 3px;
  }

  @media (max-width: 1000px) {
    .row {
      display: flex;
      flex-flow: row wrap;
      justify-content: flex-start;
      align-items: stretch;
    }

    form {
      width: 100vw;
      max-width: 300px;
    }

    .newsletter {
      align-items: flex-start;
    }

    .col {
      margin-right: 40px;
    }

    .wrapper {
      width: 100%;
    }

    .copyright {
      text-align: left;
    }
  }

  @media (max-width: 582px) {
    .row {
      flex-flow: column nowrap;
      justify-content: flex-start;
      align-items: stretch;
    }

    .col {
      margin-right: 0;
    }

    form {
      width: 100%;
    }
  }
</style>

<Modal title="Location" bind:visible={mapOpen}>
  <iframe
    title="Our location"
    src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d1634.5185035057762!2d-85.40279669639872!3d34.98073775786982!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x88605ae3ea4cdecd%3A0x288acd4add429f05!2sWildwood%20Lifestyle%20Center!5e0!3m2!1sen!2sus!4v1583430761297!5m2!1sen!2sus"
    width="475"
    height="425"
    frameborder="0"
    allowfullscreen="" />
</Modal>

<footer>
  <div class="content">
    <div class="row">

      <div class="col">
        <img class="logo" src="img/logo-light.svg" alt="" />
        <h4 class="title">Advancement Department</h4>
        <p>
          <a
            on:click={e => {
              e.preventDefault();
              mapOpen = true;
            }}
            href="https://goo.gl/maps/aDRSAowqhJm">
            435 Lifestyle Lane
            <br />
            Wildwood, GA 30757
          </a>
        </p>
        <p>
          <a href="tel:+1 (423) 779-8339">Tel: +1 (423) 779-8339</a>
        </p>
        <p>
          <a href="mailto:jhightower@wildwoodhealth.org">
            Email: jhightower@wildwoodhealth.org
          </a>
        </p>
      </div>

      <div class="col">
        <h4 class="title">Contact Us</h4>
        <form action="/contact/" method="GET">
          <textarea name="message" rows="5" placeholder="Add a message" />
          <input type="submit" value="Submit" />
        </form>
      </div>

      <div class="col newsletter">
        <div class="wrapper">
          <h4 class="title">Newsletter</h4>
          <p>Get our news and updates.</p>
          <form
            method="post"
            class="af-form-wrapper"
            accept-charset="UTF-8"
            action="https://www.aweber.com/scripts/addlead.pl">
            <div style="display: none;">
              <input type="hidden" name="meta_web_form_id" value="448853242" />
              <input type="hidden" name="meta_split_id" value="" />
              <input type="hidden" name="listname" value="awlist5301380" />
              <input
                type="hidden"
                name="redirect"
                value="https://www.aweber.com/thankyou-coi.htm?m=text"
                id="redirect_e3ff4ce1d55ac5f56489ea144e2b7fe2" />

              <input
                type="hidden"
                name="meta_adtracking"
                value="Advancement_Footer" />
              <input type="hidden" name="meta_message" value="1" />
              <input type="hidden" name="meta_required" value="email" />

              <input type="hidden" name="meta_tooltip" value="" />
            </div>
            <div id="af-form-448853242" class="af-form">
              <div id="af-body-448853242" class="af-body af-standards">
                <div class="af-element">
                  <div class="af-textWrap">
                    <input
                      class="text"
                      id="awf_field-101420323"
                      type="text"
                      name="email"
                      placeholder="Email"
                      value=""
                      tabindex="-1"
                      required />
                  </div>
                  <div class="af-clear" />
                </div>
                <div class="af-element buttonContainer">
                  <input
                    name="submit"
                    class="submit"
                    type="submit"
                    value="Submit"
                    tabindex="-1" />
                  <div class="af-clear" />
                </div>
              </div>
            </div>
            <div style="display: none;">
              <img
                src="https://forms.aweber.com/form/displays.htm?id=LCwcHKzMTCxM"
                alt="Aweber form"
                style="display: none !important;"
                hidden="" />
            </div>
          </form>
          <script type="text/javascript">
            (function() {
              var IE = false;
              if (!IE) {
                return;
              }
              if (document.compatMode && document.compatMode == "BackCompat") {
                if (document.getElementById("af-form-448853242")) {
                  document.getElementById("af-form-448853242").className =
                    "af-form af-quirksMode";
                }
                if (document.getElementById("af-body-448853242")) {
                  document.getElementById("af-body-448853242").className =
                    "af-body inline af-quirksMode";
                }
                if (document.getElementById("af-header-448853242")) {
                  document.getElementById("af-header-448853242").className =
                    "af-header af-quirksMode";
                }
                if (document.getElementById("af-footer-448853242")) {
                  document.getElementById("af-footer-448853242").className =
                    "af-footer af-quirksMode";
                }
              }
            })();
          </script>
        </div>
      </div>

    </div>
    <p class="copyright">© Wildwood Health Institute</p>
  </div>
</footer>
